org.springframework.messaging.simp.user

## Interface DestinationUserNameProvider

    public interface DestinationUserNameProvider

A `Principal` can also implement this contract when `getName()` isn't globally unique and therefore not suited for use with "user" destinations.

Since:
  4.0.1
Author:
  Rossen Stoyanchev
See Also:
  `UserDestinationResolver`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDestinationUserName()` Return a globally unique user name for use with "user" destinations.

### Method Detail

#### getDestinationUserName

    String getDestinationUserName()

Return a globally unique user name for use with "user" destinations.